Service and Application/Inference Service APIs
PUTInference Service APIsSince 5.1.8SynchronousAuth Required
DeployModelService
DeployModelService
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringOptional. The resource UUID.
Body Fields
zoneUuidStringRequiredThe zone UUID.
descriptionStringOptional. The detailed description of the resource.
modelUuidString模型UUID。
vmImageUuidString云主机镜像UUID。
primaryStorageUuidStringOptional. The primary storage UUID.
Responses
Endpoint
PUT/zstack/v1/ai/model-services/{uuid}
/zstack/v1/ai/model-services/{uuid}
Request Example
curl -X PUT 'http://{host}/zstack/v1/ai/model-services/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"zoneUuid":"<zoneUuid>","description":"<description>","modelUuid":"<modelUuid>","vmImageUuid":"<vmImageUuid>","primaryStorageUuid":"<primaryStorageUuid>","datasetUuids":["<datasetUuids>"],"modelServiceGroupUuids":["<modelServiceGroupUuids>"],"dockerImage":"<dockerImage>","cpuNum":1,"name":"<name>","type":"<type>","memorySize":1,"l3NetworkUuids":["<l3NetworkUuids>"],"environmentVariables":{},"startupParameters":{},"serviceBootUptime":1,"clusterUuid":"<clusterUuid>","rootDiskOfferingUuid":"<rootDiskOfferingUuid>","rootDiskSize":1,"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"],"requestCpuNum":1,"requestMemorySize":1,"serviceLivez":"<serviceLivez>","serviceReadyz":"<serviceReadyz>","projectUuid":"<projectUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "groupUuid", "name": "model-service", "status": "Running" } }Change History
This API has no change history records yet.
